Bug 223199 - [NEW PORT] security/botan2: Portable, easy to use, and efficient C++ crypto library
Summary: [NEW PORT] security/botan2: Portable, easy to use, and efficient C++ crypto l...
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Many People
Assignee: Yuri Victorovich
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2017-10-23 21:58 UTC by Ralf van der Enden
Modified: 2017-11-11 18:33 UTC (History)
1 user (show)

See Also:


Attachments
New port security/botan2 (version 2.3.0) (3.94 KB, patch)
2017-10-23 21:58 UTC, Ralf van der Enden
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Ralf van der Enden 2017-10-23 21:58:56 UTC
Created attachment 187406 [details]
New port security/botan2 (version 2.3.0)

Botan 1.10 is not going to be supported anymore in the near future (EOL is scheduled for 2018.01.01), so I think it's time to bring in version 2.
This also brings in some new features, like ARM64 support.

For a full set of changes/new features: https://botan.randombit.net/news.html#version-2-3-0-2017-10-02

Both dns/powerdns and dns/powerdns-recursor will get new versions soon which no longer support the botan 1.10 branch.

No files are shared between security/botan110 and security/botan2, so they should be able to be installed alongside eachother.
Comment 1 commit-hook freebsd_committer 2017-11-11 18:33:06 UTC
A commit references this bug:

Author: yuri
Date: Sat Nov 11 18:32:47 UTC 2017
New revision: 453987
URL: https://svnweb.freebsd.org/changeset/ports/453987

Log:
  New port: security/botan2: Portable, easy to use and efficient C++ crypto library

  PR:		223199
  Submitted by:	Ralf van der Enden <tremere@cainites.net>
  Reviewed by:	tcberner (mentor)
  Differential Revision:	https://reviews.freebsd.org/D13043

Changes:
  head/security/Makefile
  head/security/botan2/
  head/security/botan2/Makefile
  head/security/botan2/distinfo
  head/security/botan2/files/
  head/security/botan2/files/patch-src_lib_prov_openssl_openssl__rsa.cpp
  head/security/botan2/pkg-descr
  head/security/botan2/pkg-plist
Comment 2 Yuri Victorovich freebsd_committer 2017-11-11 18:33:34 UTC
Committed with some changes.

Thank you for your submission!
Yuri